Name:		grid-packaging-tools
Version:	3.2
Release:	20%{?dist}
Summary:	Grid Packaging Tools (GPT)

Group:		Development/Tools
License:	NCSA
URL:		http://www.gridpackagingtools.com/
#		Maintenance of GPT has been taken over by the Globus Alliance.
#		Use the latest source tarball from their repository.
Source:		http://www-unix.globus.org/ftppub/gt4/4.2.1/gpt/gpt-%{version}globus2.tar.gz
#		Make perl module installation directory configurable:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6229
Patch0:		%{name}-perlpath.patch
#		Put data files in /usr/share not /etc (FHS):
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6229
Patch1:		%{name}-share.patch
#		Make installation in /usr work without environment variables:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6229
Patch2:		%{name}-usr.patch
#		Fix man page creation and installation:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6229
Patch3:		%{name}-man.patch
#		Fix filelist creation to work with the FHS installation...
#		... and move the .so symlinks to the dev package:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6229
Patch4:		%{name}-filelists.patch
#		Patch for globus package DTD:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6221
Patch5:		%{name}-globus-package-dtd.patch
#		Missing shebang:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6222
Patch6:		%{name}-bootstrap-shebang.patch
#		Fix extraction of flavored header names:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6223
Patch7:		%{name}-flavored-headers.patch
#		Don't mangle library names when ColocateLibraries = no:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6224
Patch8:		%{name}-colocate-bugfix.patch
#		Extract the age from the version tag as well:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6225
Patch9:		%{name}-age-version.patch
#		Don't hard-code target (so we can make a noarch RPM):
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6230
Patch10:	%{name}-target.patch
#		Better XML output:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6226
Patch11:	%{name}-xml.patch
#		Make gpt-update work outside /usr/sbin:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6227
Patch12:	%{name}-gpt-update.patch
#		Make configure --help look nice:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6438
Patch13:	%{name}-helpstring.patch
#		Make gpt work with older and newer automake versions:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6564
Patch14:	%{name}-compat.patch
#		Forward library version info to libtool:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6694
Patch15:	%{name}-version-info.patch
#		Wrong URLs in documentation:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6705
Patch16:	%{name}-wrong-url.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libtool
BuildRequires:	perl
Requires:	gzip
Requires:	tar
Requires:	autoconf
Requires:	automake
Requires:	libtool
Requires:	rpm
Requires:	rpm-build
%if %{?fedora}%{!?fedora:0}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%else
%if %{?rhel}%{!?rhel:0} >= 4
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%else
Requires:	perl
%endif
%endif
BuildArch:	noarch

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

%description
GPT is a collection of packaging tools built around an XML based
packaging data format. This format provides a straight forward way to
define complex dependency and compatibility relationships between
packages. The tools provide a means for developers to easily define the
packaging data and include it as part of their source code distribution.
Binary packages can be automatically generated from this data. The
packages defined by GPT are compatible with other packages and can be
easily converted.

%prep
%setup -q -n gpt
%patch0 -p1 -b .perl
%patch1 -p1 -b .share
%patch2 -p1 -b .usr
%patch3 -p1 -b .man
%patch4 -p1 -b .filelists
%patch5 -p1 -b .dtdfix
%patch6 -p1 -b .shebang
%patch7 -p1 -b .flavor
%patch8 -p1 -b .colocate
%patch9 -p1 -b .age
%patch10 -p1 -b .target
%patch11 -p1 -b .xmlfix
%patch12 -p1 -b .gptupdate
%patch13 -p1 -b .help
%patch14 -p1 -b .compat
%patch15 -p1 -b .version
%patch16 -p1 -b .url

iconv -f iso-8859-1 -t utf-8 LICENSE > LICENSE.utf8
touch -c -r LICENSE LICENSE.utf8
mv LICENSE.utf8 LICENSE

%build
cd packaging_tools

touch aclocal.m4
touch Makefile.in
touch configure

for i in config.guess config.sub ; do
  [ -f /usr/share/libtool/$i ] && rm $i && cp -p /usr/share/libtool/$i $i
done

%configure --libexecdir='${datadir}/globus' \
	   --with-perlmoduledir=%{perl_vendorlib} \
	   --disable-compat
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

cd packaging_tools
make install DESTDIR=$RPM_BUILD_ROOT
make install-man DESTDIR=$RPM_BUILD_ROOT
cd ..

# Remove perl version check script that is not used for anything (and even
# gets installed without shebang so it is not executable from the path)
rm $RPM_BUILD_ROOT%{_sbindir}/gpt-perl-version

# Remove old globus core source tarball - users should install an up-to-date
# globus-core package instead of having gpt compile it from source
rm $RPM_BUILD_ROOT%{_datadir}/globus/globus_core-src.tar.gz

# Remove temporary build file
rm $RPM_BUILD_ROOT%{_datadir}/globus/gpt_scripts_list

# Rename config.guess script in order not to clash with globus-common
mv $RPM_BUILD_ROOT%{_datadir}/globus/{config.guess,config.guess.gpt}
sed s/config.guess/config.guess.gpt/ \
  -i $RPM_BUILD_ROOT%{perl_vendorlib}/Grid/GPT/Localize.pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{_sbindir}/*
%{_datadir}/globus
%{_mandir}/man8/*
%{perl_vendorlib}/Grid

%changelog
* Mon Aug 03 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-20
- Rename config.guess script

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 27 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-18
- Make GPT work with automake 1.11

* Thu Mar 26 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-17
- Adding wrong-url patch

* Mon Mar 16 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-16
- Adding version-info patch

* Fri Feb 27 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-15
- Newest version of redhat-rpm-config doesn't copy config.guess by default
  in the configure macro anymore - added explicit copy

* Mon Feb 16 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-14
- Added BuildRequires on perl
- Moved license charset conversion to prep section
- Added comments with reasons for removing installed files

* Tue Dec 16 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-13
- change name from gpt to grid-packaging-tools to avoid potential confusion
  with ubuntu's gpt package (G-Portugol)

* Tue Dec 09 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-12
- Make gpt work with older automake versions

* Sat Oct 04 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-11
- Add some backward compatibility
- Make perl module directory configurable

* Sun Jul 13 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-10
- use the sources from Globus Alliance since those are maintained
- split the big FHS patch into several smaller ones
- change name back gpt again

* Wed Jul 02 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-9
- change name from gpt to grid-packaging-tools

* Wed Jul 02 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-8
- Convert to noarch package

* Tue Jun 24 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-7
- Add export of GPT_AGE_VERSION

* Sat Jun 21 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-6
- Install in /usr instead of /opt/gpt - quite some work...
- Make it work without having GPT_LOCATION set if we are in /usr
- Drop the /etc/profile.d scripts (not needed since we are now in /usr)
- Do not build and install dependencies - use system versions
- Use RPM Group "Development/Tools"

* Tue Jun 19 2007 Anders Wäänänen <waananen@nbi.dk> - 3.2-5ng
- Add dist tag to release
- Change BuildRoot

* Wed Jun 01 2005 Anders Wäänänen <waananen@nbi.dk> - 3.2-4ng
- Add fix to setup dir handling
- Restructure changelog to have versions on main line

* Fri Mar 18 2005 Anders Wäänänen <waananen@nbi.dk> - 3.2-3ng
- Add patch to fix globus_package.dtd

* Tue Mar 01 2005 Anders Wäänänen <waananen@nbi.dk> - 3.2-2ng
- Add patch with fixes from the Globus 3.9.5 GPT release
  (Do not include the core though)

* Fri May 21 2004 Anders Wäänänen <waananen@nbi.dk> - 3.2-1ng

* Sun Feb 01 2004 Anders Wäänänen <waananen@nbi.dk> - 3.1-3ng
- Fix problem when new files are links rather than directories

* Thu Jan 08 2004 Anders Wäänänen <waananen@nbi.dk> - 3.1-2ng
- Fix for Mandrake 9.2 - unset RPM_BUILD_ROOT before building
  Found by Jakob Langgaard Nielsen <langgard@nbi.dk>

* Sat Jan 03 2004 Anders Wäänänen <waananen@nbi.dk> - 3.1-1ng
- Drop patches: gpt-3.0.1-dependency.patch, gpt-3.0.1-doc.patch
  since the problems involved are either solved or obsolete
- Make /etc/profile.d relocatable
- Use gpt_location macro to define GPT_LOCATION
- Use RPM Group "System Environment/Base" instead of Applications
- Slightly change build procedure

* Tue Oct 07 2003 Anders Wäänänen <waananen@nbi.dk> - 3.0.1-1ng
- Remove the now unecessary dependency cleanup introduced in 2.2.10-2ng
- Fix some cases in the documentation

* Tue Jun 24 2003 Anders Wäänänen <waananen@nbi.dk> - 2.2.10-2ng
- Dependency cleanup by Mattias Ellert <mattias.ellert@tsl.uu.se>

* Mon Jun 23 2003 Anders Wäänänen <waananen@nbi.dk> - 2.2.10

* Sat Jun 02 2003 Anders Wäänänen <waananen@nbi.dk> - 3.1a1-2
- Fix perl inconsistencies reported by Mattias Ellert
  <mattias.ellert@tsl.uu.se>

* Sat May 24 2003 Anders Wäänänen <waananen@nbi.dk> - 3.1a1
- Bring back perl-Tk dependency

* Mon Apr 07 2003 Anders Wäänänen <waananen@nbi.dk> - 3.0-1ng

* Tue Mar 22 2003 Anders Wäänänen <waananen@nbi.dk> - 2.2.9-1ng
- Add bogus perl(Grid::GPT::Version) provides to help rpm

* Tue Mar 04 2003 Anders Wäänänen <waananen@nbi.dk> - 2.2.8-1ng

* Tue Dec 05 2002 Anders Wäänänen <waananen@nbi.dk> - 2.2.7-1ng

* Tue Nov 05 2002 Anders Wäänänen <waananen@nbi.dk> - 2.2.5-1ng
- Remove Tk dependence for RedHat 8.0

* Tue Oct 29 2002 Anders Wäänänen <waananen@nbi.dk> - 2.2.4-2ng
- Insert missing backslash in csh profile script

* Tue Sep 24 2002 Anders Wäänänen <waananen@nbi.dk>
- Use 2.2 final

* Sat Aug 31 2002 Anders Wäänänen <waananen@nbi.dk>
- Use 2.2rc1 tarball from Globus CVS

* Thu Aug 15 2002 Anders Wäänänen <waananen@nbi.dk>
- Use NCSA distribution instead of Globus

* Mon Apr 08 2002 Anders Wäänänen <waananen@nbi.dk>
- Initial build.
